# Update a custom entity trigger.

Endpoint: PUT /customEntity/trigger
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `id` (string)
    Trigger ID

## Request fields (application/json):

  - `id` (string)
    Custom entity trigger id

  - `entityType` (string)
    Type of entity on which its applicable

  - `type` (string)
    Type of trigger: Script, Rule Or Workflow

  - `when` (array)
    When to fire this trigger: on record create, update or delete

  - `criteria` (object)
    Entry criteria for the trigger to fire on an entity

  - `criteria.type` (string)
    Type of the filter
    Enum: "LEAVE_MANAGEMENT_ASSET_CLASS_LOOKUP"

  - `criteria.filters` (array)
    List of nested filters

  - `criteria.key` (string)
    key on which we want to filter

  - `criteria.values` (array)
    Values of above filter to match on key

  - `action` (string)
    Depending upon type: it will have script, rule id or workflow definition id

  - `enabled` (boolean)
    If this trigger is enabled

  - `createdTime` (integer)
    Created time for the custom entity trigger

  - `modifiedTime` (integer)
    Last modified time for the custom entity trigger

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

